CFG 1.2 - comments CFG 1.2 2008-07-16T09:37:13Z https://contrib.spip.net/CFG-1-2#comment407482 2008-07-16T09:37:13Z <p>mettre à jour les plugins...</p> <p>Depuis cfg 1.8 (j'ai un poil de retard dans la doc), le hack <code>#CONFIG{xx,'',''}|in_array...</code> n'est plus possible, et doit être remplacé par <code>#CONFIG{xx,#ARRAY}|in_array</code> dans les foncs cfg qui l'utilisaient.</p> <p>J'ai mis à jour tous les plugins de la zone qui l'utilisaient normalement. Ces plugins doivent maintenant avoir une version mini de CFG >= 1.5 pour que ça fonctionne.</p> CFG 1.2 2008-07-16T09:27:03Z https://contrib.spip.net/CFG-1-2#comment407481 2008-07-16T09:27:03Z <p>Version spip : SPIP 2.0.0 dev [12075]</p> <p>Version cfg : Revision: 21489</p> <p>Dans la page “gestion des plugins”, 4 fois le message d'erreur suivant :</p> <p><code>Warning: in_array() [function.in-array]: Wrong datatype for second argument in /.../web/grenier/ecrire/public/composer.php(42) : eval()'d code on line 106 </code></p> <p>Que faire ?</p> <p>Merci</p> Compatible SPIP 1.9.2d ??? 2008-03-26T19:26:11Z https://contrib.spip.net/CFG-1-2#comment404408 2008-03-26T19:26:11Z <p>ou “Inscription 2” plutot que spip_liste me souffle-t-on à l'oreillette...</p> <p>MM.</p> Compatible SPIP 1.9.2d ??? 2008-03-26T18:57:00Z https://contrib.spip.net/CFG-1-2#comment404407 2008-03-26T18:57:00Z <p>Comme je disais, j'ai bloqué les zips car je fais de gros changements en ce moment dans le code du plugin CFG... En svn, la 1.4.6 devrait être exempte de bug (revision [19563]), vous pouvez l'essayer.</p> <p>Le message ne vient pas de CFG, mais du plugin spip-liste qui n'a pas du être content à un moment donné. Vous pouvez tenter : <br />- déplacement de plugins/spip_liste dans plugins/_spip_liste, <br />- vider les fichiers de /tmp et le dossier /tmp/cache <br />- aller dans l'interface privée <br />- si c'est ok : remettre spip liste à son ancien nom et réactiver le plugin.</p> <p>MM.</p> Compatible SPIP 1.9.2d ??? 2008-03-26T18:46:46Z https://contrib.spip.net/CFG-1-2#comment404405 2008-03-26T18:46:46Z <p>Merci pour cette répo,se rapide.</p> <p>J'ai un souci avec ce plugin.<br class="autobr" /> Suite à une mise à jour je ne peux plus voir l'espace public ni l'espace privé.<br class="autobr" /> J'obtiens le message suivant : Installez cfg voyons !</p> <p>Remarque: J'avait installé la version récupéré sur le SVN et j'ai remis la version du ZIP que tu m'a envoyer. Avant de faire la première mise à jour j'ai désactiver le plugin mais je ne peux plus le réactivé car impossible d'aller dans l'espace privée.<br class="autobr" /> le site en question est : <a href="http://rapin.gregory.free.fr" class="spip_url spip_out auto" rel="nofollow external">http://rapin.gregory.free.fr</a></p> <p>Merci de vote aide.</p> Compatible SPIP 1.9.2d ??? 2008-03-26T18:29:39Z https://contrib.spip.net/CFG-1-2#comment404404 2008-03-26T18:29:39Z <p>La version de CFG, la dernière stable fournie en zip à ce jour est la 1.3.8 , elle fonctionne en 1.9.2d. <a href="http://files.spip.org/spip-zone/cfg.zip" class="spip_url spip_out" rel='nofollow external'>http://files.spip.org/spip-zone/cfg.zip</a></p> <p>Le #FORMULAIRE_CFG par contre ne fonctionne qu'en 1.9.3 dev, et son API et a complètement été revu, ce qui fait que cette partie de la documentation est caduque.</p> <p>MM.</p> Compatible SPIP 1.9.2d ??? 2008-03-26T18:20:44Z https://contrib.spip.net/CFG-1-2#comment404402 2008-03-26T18:20:44Z <p>Cette version est-elle compatible avec SPIP 1.9.2d ?<br class="autobr" /> Sinon où puis trouver une verson compatible avec SPIP 1.9.2d?<br class="autobr" /> Merci.</p> CFG 1.2 2007-12-27T21:55:52Z https://contrib.spip.net/CFG-1-2#comment401647 2007-12-27T21:55:52Z <p>Merci, je vais suivre votre conseille.<br class="autobr" /> Merci</p> CFG 1.2 2007-12-27T20:51:55Z https://contrib.spip.net/CFG-1-2#comment401641 2007-12-27T20:51:55Z <p>Cette fonction est apparue en SPIP 1.9.2 <br class="autobr" /> CFG n'est pas prévu pour fonctionner avant cette version et votre site est en SPIP 1.9.1 (du moins <a href="http://ecuries-ramillies.evoconcept.net/" class="spip_url spip_out auto" rel="nofollow external">http://ecuries-ramillies.evoconcept.net/</a>).</p> <p>Si vous commencez un site, utilisez de préférence la dernière version stable (1.9.2c actuellement).</p> <p>MM.</p> CFG 1.2 2007-12-27T20:47:33Z https://contrib.spip.net/CFG-1-2#comment401640 2007-12-27T20:47:33Z <p>Bonsoir,<br class="autobr" /> Voilà, je viends de poster un message et ca parle de plus ou moins la même chose.<br class="autobr" /> Sauf ue maintenant en allant sur configurer dans spip, j'obtients ceci : “Fatal error: Call to undefined function autoriser() in /home/<a href="http://www.ecuries-ramillies.evoconcept.net/www/plugins/cfg/cfg_pipeline.php" class="spip_url spip_out auto" rel="nofollow external">www.ecuries-ramillies.evoconcept.net/www/plugins/cfg/cfg_pipeline.php</a> on line 15”<br class="autobr" /> Je suis donc allez voir dans le fichier, et j'ai ceci: “if (!defined(”_ECRIRE_INC_VERSION")) return;</p> <p>// Ajoute le bouton d'amin aux webmestres<br class="autobr" /> function cfg_ajouter_onglets($flux) <i><br class="autobr" /> if ($flux['args'] == 'configuration'<br class="autobr" /> AND autoriser('configurer')) <i><br class="autobr" /> // on voit le bouton dans la barre “configurer”<br class="autobr" /> $flux['data']['cfg'] =<br class="autobr" /> new Bouton(<br class="autobr" /> _DIR_PLUGIN_CFG.“cfg-22.png”, // icone<br class="autobr" /> _T('cfg:CFG'), // titre<br class="autobr" /> generer_url_ecrire('cfg'),<br class="autobr" /> NULL,<br class="autobr" /> 'cfg'<br class="autobr" /> );<br class="autobr" /> </i><br class="autobr" /> "<br class="autobr" /> Est ce que quelqu'un pourrait m'aider à m'en sortir?<br class="autobr" /> Merci<br class="autobr" /> Bonne soirée</i></p> CFG 1.2 2007-12-27T20:29:31Z https://contrib.spip.net/CFG-1-2#comment401639 2007-12-27T20:29:31Z <p>Bonjour, <br class="autobr" /> voilà j'ai essayé de mettre le plugin “migre static” et pour celà, j'avais besoin de mettre cfg.<br class="autobr" /> Donc, j'ai installé cfg, mais quand je lance la configuration du plugin, il me met ceci : “<br class="autobr" /> Fatal error: Call to undefined function interprete_argument_balise() in /home/<a href="http://www.ecuries-ramillies.evoconcept.net/www/plugins/cfg/cfg_options.php" class="spip_url spip_out auto" rel="nofollow external">www.ecuries-ramillies.evoconcept.net/www/plugins/cfg/cfg_options.php</a> on line 49”.<br class="autobr" /> Je suis allez voir dans le fichier, et sur cette ligne là, j'obtient ceci: “if (!$arg = interprete_argument_balise(1,$p)) <i>”.<br class="autobr" /> Est ce que quelqu'un pourrais m'aider?<br class="autobr" /> Ce serait gentil.</i></p> <p>Merci d'avance.</p> CFG 1.2 2007-12-18T10:19:09Z https://contrib.spip.net/CFG-1-2#comment401330 2007-12-18T10:19:09Z <p>Merci pour ce retour.</p> <p>J'ai intégré dans le descriptif un petit mot sur CFG, avec entre autre, où le trouver ;)</p> <p>MM.</p> CFG 1.2 2007-12-17T23:23:27Z https://contrib.spip.net/CFG-1-2#comment401326 2007-12-17T23:23:27Z <p>Bonjour,<br class="autobr" /> Je dois être un peu nul :-), mais ça fait 1/2 heure que je cherche où télécharger ce plugin... Et je ne trouve pas !</p> <p>Merci d'avance,<br class="autobr" /> Patrick</p>